PROC CompProc(ProcNam.A,ProcDir.A,LibDir.A)
; *********************************************************************
; *
; * CompProc()
; *
; *********************************************************************
PRIVATE ProcNam.A,     ;Lib/Script name to check & compile
        ProcDir.A,     ;Directory where the script file lives
        LibDir.A,      ;Directory where the library should be
        RetVal.L       ;Logical True/False returned on completion

ProcName.A="CompProc"
RetVal.L=True                                  ;set retval to true
IF NOT ISFILE(LibDir.A+ProcNam.A+".LIB") THEN  ;if we can't find library
   IF ISFILE(ProcDir.A+ProcNam.A+".SC") THEN   ;can we find the script?
       MESSAGE("Compiling procedures")         ;yes, then compile it
       PLAY ProcDir.A+ProcNam.A                ;set retval to true
       RetVal.L=True
   ELSE                                        ;no then alert the user
       BEEP
       MESSAGE "Cannot find "
               +ProcNam.A
               +" procedures - aborting"
       SLEEP 2000
       RetVal.L=False                          ;and set retval false
   ENDIF
ENDIF
RETURN RetVal.L                                ;return retval
ENDPROC ;CompProc()

; *********************************************************************
; *
; * Empl.SC
; *
; *********************************************************************
RESET
RELEASE VARS ALL
ProcName.A = "Empl"
CoreDir.A      = DIRECTORY()               ; Current directory.
DataDir.A      = "Dat\\"                   ; Data directory
LibDir.A       = "Lib\\"                   ; Compiled library directory
ProcDir.A      = "SC\\"                    ; Source code directory
CoreDrive.A    = SUBSTR(CoreDir.A,1,3)     ; Current Drive.

; *********************************************************
; *
; * NOTE USE OF RELATIVE DIRECTORY ADDRESSING!!!!!!
; *
; *********************************************************

CompProc("Main",ProcDir.A,LibDir.A)        ; check if the lib is there

AUTOLIB    = LibDir.A+"Main"               ; set the autolib 
Address.F  = DataDir.A+"Address"           ; set file name as a variable
CLEARALL                                   ; to avou=id hard coding
CLEAR                                      ; the directory name
Main()                                     ; run main menu proc
